Name:           libopensync-plugin-irmc
Version:        0.22
Release:        1%{?dist}
Summary:        Irmc plugin for libopensync

Group:          System Environment/Libraries
License:        GPL
URL:            http://www.opensync.org
# see http://www.opensync.org/wiki/download
Source0:        %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libopensync-devel
BuildRequires:  bluez-libs-devel
BuildRequires:  openobex-devel
# 216003
BuildRequires:  libusb-devel

%description
%{summary}

%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name *.la -exec rm -f {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog
%{_libdir}/opensync/plugins/irmc_sync.so
%{_datadir}/opensync/defaults/irmc-sync

%changelog
* Wed Apr 25 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.22-1
- version upgrade

* Wed Dec 20 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.20-1
- version upgrade
- fix (#216003)

* Fri Oct 20 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.19-1
- version upgrade

* Wed Sep 13 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.18-8
- FE6 rebuild

* Tue Jun 13 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.18-7
- Bump

* Wed Mar 01 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.18-6
- Bump

* Thu Feb 16 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.18-5
- Rebuild for Fedora Extras 5

* Sun Feb 05 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.18-4
- add dist

* Sat Feb 04 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.18-3
- drop zero-length docs

* Sun Jan 29 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.18-2
- added missing BR

* Fri Nov 25 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.18-1
- initial version
